function [y0,w0,T,fi0,delta,S,YTrend,rezi,TT,YY,YY2]=w1(Y)
% YTrend - тренд, вилучений з вихідного ряду
% rezi   - порядок тренду
% TT     - ряд абсцис зі збільшеною кількістю проміжних точок
% YY     - вихідний ряд затухаючих коливань зі збільшеною кількістю проміжних точок
% YY2    - модельний ряд затухаючих коливань зі збільшеною кількістю проміжних точок

% шукаємо тренд
[m,n]=size(Y);
if m>1
    Y=Y';
    [m,n]=size(Y);
end
X=[0:n-1];
Ylog=log(Y);

k=polyfit(X,Ylog,1);
Ylog_k=polyval(k,X);
Ylog_ks=sum(Ylog-Ylog_k)/n;

% обчислюємо порядок тренда
rezi = mnk_ex(X,Y);
% save 'rezi.txt' rezi -ASCII
p = polyfit(X, Y, rezi);
y_temp = polyval(p, X);

% вилучаємо тренд
YRes2=Y-y_temp;

% розвертаємо результуючий ряд
YRes=YRes2;
for i=1:n
    YRes(i)=YRes2(n-i+1);
end

% YRes - розвернутий графік при вилученому тренді порядку rezi
% save 'Yres.txt' YRes -ASCII
YTrend=YRes;
[y0,w0,T,fi0,delta,S,TT,YY,YY2]=w3(YRes,X);
